Create or replace a funder exclusion rule
curl --request PUT \
--url https://app.herondata.io/api/funder_exclusion_rules/{funder_heron_id}/ \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"not_senders": [
"<string>"
],
"sender_domains": [
"<string>"
],
"sender_emails": [
"[email protected]"
],
"sender_names": [
"<string>"
]
}
'import requests
url = "https://app.herondata.io/api/funder_exclusion_rules/{funder_heron_id}/"
payload = {
"not_senders": ["<string>"],
"sender_domains": ["<string>"],
"sender_emails": ["[email protected]"],
"sender_names": ["<string>"]
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
not_senders: ['<string>'],
sender_domains: ['<string>'],
sender_emails: ['[email protected]'],
sender_names: ['<string>']
})
};
fetch('https://app.herondata.io/api/funder_exclusion_rules/{funder_heron_id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"funder": {
"heron_id": "<string>",
"logo_url": "<string>",
"name": "<string>"
},
"funder_heron_id": "<string>",
"not_senders": [
"<string>"
],
"reason": "<string>",
"sender_domains": [
"<string>"
],
"sender_emails": [
"<string>"
],
"sender_names": [
"<string>"
]
}API Reference
Create or replace a funder exclusion rule
PUT
/
api
/
funder_exclusion_rules
/
{funder_heron_id}
/
Create or replace a funder exclusion rule
Authorizations
Path Parameters
Body
application/json
Was this page helpful?